ApiManagementTenants
PATCH
/v1/mgmt/tenant/patch

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

id?string
name?string
selfProvisioningDomains?unknown

Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.

customAttributes?object

Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays.

Example{ "attribute-key": "attribute-value" }
authType?string

deprecated - authType should be set via ConfigureTenantSettings

disabled?boolean
enforceSSO?boolean
enforceSSOExclusions?unknown

Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.

federatedAppIds?unknown

Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.

roleInheritance?string
idJagSettings?object
idJagEnabled?boolean

Patch a tenant, using a valid management key. Only the fields that are provided in the request are updated, any other field keeps its current value.

curl -X PATCH "https://api.descope.com/v1/mgmt/tenant/patch" \  -H "Content-Type: application/json" \  -d '{}'
Was this helpful?